Subject: Re: [Zope] change id...
From: "After Dark" <[email-masked]>
To: "Phil Harris" <[email-masked]>
Date: Mon, 09 Apr 2001 10:25:34 -0400

Thanks, exactly what I wanted. :)
And to change the value of the title?

Would this work?
<dtml-call "REQUEST.set('object.id',var)">
or this?
<dtml-call "REQUEST.set(object.id,var)">

Thanks.

On Mon, 9 Apr 2001 14:30:17 +0100
"Phil Harris" <[email-masked]> wrote:
>The id can be changed by using:
>
>object.manage_renameObjects(ids=['a list of
>ids'],new_ids=['the new names'])
>
>
>----- Original Message -----
>From: "After Dark" <[email-masked]>
>To: "Paula Mangas" <[email-masked]>
>Cc: <[email-masked]>
>Sent: Monday, April 09, 2001 2:24 PM
>Subject: Re: [Zope] change id...
>
>
>> Even with a folder?? If I did that with a file wouldn`t
>be a
>> problem, but a with a folder... :(
>>
>> Sugestions??
>>
>> Thanks.
>>
>> On Mon, 9 Apr 2001 14:08:32 +0100 (WEST)
>> Paula Mangas <[email-masked]> wrote:
>> >
>> >
>> >Hi!
>> >
>> >
>> >I think that's not possible to change de value of *id*.
>> >You can solve this
>> >problem with a creation of another object (with the
>same
>> >type), in the
>> >copy, you can change the id, and after you delete the
>old
>> >one.
>> >
>> >You can change the *title*, from python, like that:
>> > <your_object>.id = <new_value_wanted>
>> >
>> >I hope that help,
>> >Paula Mangas
>> >
>> >PS: sorry my bad english
>> >
>> >
>> >-------------
>> >
>> >
>> >On Mon, 9 Apr 2001, After Dark wrote:
>> >
>> >> Hello!!
>> >>
>> >> I need to change the 'id' and 'title' of objects
>> >> (programaticaly).
>> >> How can I do that??
>> >>
>> >> Thanks.
>> >> ________________________________________________
>> >> Don't E-Mail, ZipMail! http://www.zipmail.com/
>> >>
>> >>
>> >> _______________________________________________
>> >> Zope maillist  -  [email-masked]
>> >> http://lists.zope.org/mailman/listinfo/zope
>> >> **   No cross posts or HTML encoding!  **
>> >> (Related lists -
>> >>  http://lists.zope.org/mailman/listinfo/zope-announce
>> >>  http://lists.zope.org/mailman/listinfo/zope-dev )
>> >>
>> >
>> >--
>> >
>> >============================================================
>> > Quando tiver duvidas, nao questione aqueles que so'
>tem
>> > certezas, pois corre o risco de ficar com mais
>> >duvidas!...
>> >------------------------------------------------------------
>> >Paula Monteiro Mangas
>> >
>> >e-mail: [email-masked]
>> >URL: http://students.fct.unl.pt/~pamm/
>> >TMV:    (+351) 96 2559034
>> >============================================================
>> >
>>
>> ________________________________________________
>> Don't E-Mail, ZipMail! http://www.zipmail.com/
>>
>>
>> _______________________________________________
>> Zope maillist  -  [email-masked]
>> http://lists.zope.org/mailman/listinfo/zope
>> **   No cross posts or HTML encoding!  **
>> (Related lists -
>>  http://lists.zope.org/mailman/listinfo/zope-announce
>>  http://lists.zope.org/mailman/listinfo/zope-dev )
>

________________________________________________
Don't E-Mail, ZipMail! http://www.zipmail.com/